org.apache.tinkerpop.gremlin.process.traversal.step.branch

## Class RepeatTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.branch.RepeatTest

- Direct Known Subclasses:
    RepeatTest.Traversals

      public abstract class RepeatTest
      extends AbstractGremlinProcessTest

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RepeatTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RepeatTest()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `g_V_emit_repeatXa_outXknows_filterXloops_isX0XX_lang()`
    `void` | `g_V_emit_repeatXoutX_timesX2X_path()`
    `void` | `g_V_emit_timesX2X_repeatXoutX_path()`
    `void` | `g_V_hasXloop_name_loopX_repeatXinX_timesX5X_path_by_name()`
    `void` | `g_V_hasXname_markoX_repeatXoutE_inV_simplePathX_untilXhasXname_rippleXX_path_byXnameX_byXlabelX()`
    `void` | `g_V_repeatXa_outXknows_repeatXb_outXcreatedX_filterXloops_isX0XX_emit_lang()`
    `void` | `g_V_repeatXbothX_timesX10X_asXaX_out_asXbX_selectXa_bX()`
    `void` | `g_V_repeatXbothX_untilXname_eq_marko_or_loops_gt_1X_groupCount_byXnameX()`
    `void` | `g_V_repeatXgroupCountXmX_byXnameX_outX_timesX2X_capXmX()`
    `void` | `g_V_repeatXout_repeatXoutX_timesX1XX_timesX1X_limitX1X_path_by_name()`
    `void` | `g_V_repeatXoutE_inVX_timesX2X_path_by_name_by_label()`
    `void` | `g_V_repeatXoutX_timesX2X_emit_path()`
    `void` | `g_V_repeatXoutX_timesX2X_emit()`
    `void` | `g_V_repeatXoutX_timesX2X_repeatXinX_timesX2X_name()`
    `void` | `g_V_repeatXoutX_timesX2X()`
    `void` | `g_V_repeatXoutXknowsXX_untilXrepeatXoutXcreatedXX_emitXhasXname_lopXXX_path_byXnameX()`
    `void` | `g_V_repeatXrepeatXout_createdXX_untilXhasXname_rippleXXXemit_lang()`
    `void` | `g_V_untilXconstantXtrueXX_repeatXrepeatXout_createdXX_untilXhasXname_rippleXXXemit_lang()`
    `void` | `g_VX1X_emitXhasXlabel_personXX_repeatXoutX_name()`
    `void` | `g_VX1X_repeatXgroupCountXmX_byXloopsX_outX_timesX3X_capXmX()`
    `void` | `g_VX1X_repeatXoutX_untilXoutE_count_isX0XX_name()`
    `void` | `g_VX1X_repeatXrepeatXunionXout_uses_out_traversesXX_whereXloops_isX0X_timesX1X_timeX2X_name()`
    `void` | `g_VX1X_timesX2X_repeatXoutX_name()`
    `void` | `g_VX3X_repeatXbothX_createdXX_untilXloops_is_40XXemit_repeatXin_knowsXX_emit_loopsXisX1Xdedup_values()`
    `void` | `g_VX6X_repeatXa_bothXcreatedX_simplePathX_emitXrepeatXb_bothXknowsXX_untilXloopsXbX_asXb_whereXloopsXaX_asXbX_hasXname_vadasXX_dedup_name()`
    `abstract Traversal<Vertex,String>` | `get_g_V_emit_repeatXa_outXknows_filterXloops_isX0XX_lang()`
    `abstract Traversal<Vertex,Path>` | `get_g_V_emit_repeatXoutX_timesX2X_path()`
    `abstract Traversal<Vertex,Path>` | `get_g_V_emit_timesX2X_repeatXoutX_path()`
    `abstract Traversal<Vertex,Path>` | `get_g_V_hasXloop_name_loopX_repeatXinX_timesX5X_path_by_name()`
    `abstract Traversal<Vertex,Path>` | `get_g_V_hasXname_markoX_repeatXoutE_inV_simplePathX_untilXhasXname_rippleXX_path_byXnameX_byXlabelX()`
    `abstract Traversal<Vertex,String>` | `get_g_V_repeatXa_outXknows_repeatXb_outXcreatedX_filterXloops_isX0XX_emit_lang()`
    `abstract Traversal<Vertex,Map<String,Vertex>>` | `get_g_V_repeatXbothX_timesX10X_asXaX_out_asXbX_selectXa_bX()`
    `abstract Traversal<Vertex,Map<String,Long>>` | `get_g_V_repeatXbothX_untilXname_eq_marko_or_loops_gt_1X_groupCount_byXnameX()`
    `abstract Traversal<Vertex,Map<String,Long>>` | `get_g_V_repeatXgroupCountXmX_byXnameX_outX_timesX2X_capXmX()`
    `abstract Traversal<Vertex,Path>` | `get_g_V_repeatXout_repeatXoutX_timesX1XX_timesX1X_limitX1X_path_by_name()`
    `abstract Traversal<Vertex,Path>` | `get_g_V_repeatXoutE_inVX_timesX2X_path_by_name_by_label()`
    `abstract Traversal<Vertex,Path>` | `get_g_V_repeatXoutX_timesX2X_emit_path()`
    `abstract Traversal<Vertex,Vertex>` | `get_g_V_repeatXoutX_timesX2X_emit()`
    `abstract Traversal<Vertex,String>` | `get_g_V_repeatXoutX_timesX2X_repeatXinX_timesX2X_name()`
    `abstract Traversal<Vertex,Vertex>` | `get_g_V_repeatXoutX_timesX2X()`
    `abstract Traversal<Vertex,Path>` | `get_g_V_repeatXoutXknowsXX_untilXrepeatXoutXcreatedXX_emitXhasXname_lopXXX_path_byXnameX()`
    `abstract Traversal<Vertex,String>` | `get_g_V_repeatXrepeatXout_createdXX_untilXhasXname_rippleXXXemit_lang()`
    `abstract Traversal<Vertex,String>` | `get_g_V_untilXconstantXtrueXX_repeatXrepeatXout_createdXX_untilXhasXname_rippleXXXemit_lang()`
    `abstract Traversal<Vertex,String>` | `get_g_VX1X_emitXhasXlabel_personXX_repeatXoutX_name(Object v1Id)`
    `abstract Traversal<Vertex,Map<Integer,Long>>` | `get_g_VX1X_repeatXgroupCountXmX_byXloopsX_outX_timesX3X_capXmX(Object v1Id)`
    `abstract Traversal<Vertex,String>` | `get_g_VX1X_repeatXoutX_untilXoutE_count_isX0XX_name(Object v1Id)`
    `abstract Traversal<Vertex,String>` | `get_g_VX1X_repeatXrepeatXunionXout_uses_out_traversesXX_whereXloops_isX0X_timesX1X_timeX2X_name(Object v1Id)`
    `abstract Traversal<Vertex,String>` | `get_g_VX1X_timesX2X_repeatXoutX_name(Object v1Id)`
    `abstract Traversal<Vertex,String>` | `get_g_VX3X_repeatXbothX_createdXX_untilXloops_is_40XXemit_repeatXin_knowsXX_emit_loopsXisX1Xdedup_values(Object v3Id)`
    `abstract Traversal<Vertex,String>` | `get_g_VX6X_repeatXa_bothXcreatedX_simplePathX_emitXrepeatXb_bothXknowsXX_untilXloopsXbX_asXb_whereXloopsXaX_asXbX_hasXname_vadasXX_dedup_name(Object v6Id)`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RepeatTest

          public RepeatTest()

  - ### Method Detail

    - #### get_g_V_repeatXoutX_timesX2X_emit_path

          public abstract Traversal<Vertex,Path> get_g_V_repeatXoutX_timesX2X_emit_path()

    - #### get_g_V_repeatXoutX_timesX2X_repeatXinX_timesX2X_name

          public abstract Traversal<Vertex,String> get_g_V_repeatXoutX_timesX2X_repeatXinX_timesX2X_name()

    - #### get_g_V_repeatXoutX_timesX2X

          public abstract Traversal<Vertex,Vertex> get_g_V_repeatXoutX_timesX2X()

    - #### get_g_V_repeatXoutE_inVX_timesX2X_path_by_name_by_label

          public abstract Traversal<Vertex,Path> get_g_V_repeatXoutE_inVX_timesX2X_path_by_name_by_label()

    - #### get_g_V_repeatXoutX_timesX2X_emit

          public abstract Traversal<Vertex,Vertex> get_g_V_repeatXoutX_timesX2X_emit()

    - #### get_g_V_hasXloop_name_loopX_repeatXinX_timesX5X_path_by_name

          public abstract Traversal<Vertex,Path> get_g_V_hasXloop_name_loopX_repeatXinX_timesX5X_path_by_name()

    - #### get_g_VX1X_timesX2X_repeatXoutX_name

          public abstract Traversal<Vertex,String> get_g_VX1X_timesX2X_repeatXoutX_name(Object v1Id)

    - #### get_g_V_emit_timesX2X_repeatXoutX_path

          public abstract Traversal<Vertex,Path> get_g_V_emit_timesX2X_repeatXoutX_path()

    - #### get_g_V_emit_repeatXoutX_timesX2X_path

          public abstract Traversal<Vertex,Path> get_g_V_emit_repeatXoutX_timesX2X_path()

    - #### get_g_VX1X_emitXhasXlabel_personXX_repeatXoutX_name

          public abstract Traversal<Vertex,String> get_g_VX1X_emitXhasXlabel_personXX_repeatXoutX_name(Object v1Id)

    - #### get_g_V_repeatXgroupCountXmX_byXnameX_outX_timesX2X_capXmX

          public abstract Traversal<Vertex,Map<String,Long>> get_g_V_repeatXgroupCountXmX_byXnameX_outX_timesX2X_capXmX()

    - #### get_g_VX1X_repeatXgroupCountXmX_byXloopsX_outX_timesX3X_capXmX

          public abstract Traversal<Vertex,Map<Integer,Long>> get_g_VX1X_repeatXgroupCountXmX_byXloopsX_outX_timesX3X_capXmX(Object v1Id)

    - #### get_g_V_repeatXbothX_timesX10X_asXaX_out_asXbX_selectXa_bX

          public abstract Traversal<Vertex,Map<String,Vertex>> get_g_V_repeatXbothX_timesX10X_asXaX_out_asXbX_selectXa_bX()

    - #### get_g_VX1X_repeatXoutX_untilXoutE_count_isX0XX_name

          public abstract Traversal<Vertex,String> get_g_VX1X_repeatXoutX_untilXoutE_count_isX0XX_name(Object v1Id)

    - #### get_g_V_repeatXbothX_untilXname_eq_marko_or_loops_gt_1X_groupCount_byXnameX

          public abstract Traversal<Vertex,Map<String,Long>> get_g_V_repeatXbothX_untilXname_eq_marko_or_loops_gt_1X_groupCount_byXnameX()

    - #### get_g_V_hasXname_markoX_repeatXoutE_inV_simplePathX_untilXhasXname_rippleXX_path_byXnameX_byXlabelX

          public abstract Traversal<Vertex,Path> get_g_V_hasXname_markoX_repeatXoutE_inV_simplePathX_untilXhasXname_rippleXX_path_byXnameX_byXlabelX()

    - #### get_g_V_repeatXout_repeatXoutX_timesX1XX_timesX1X_limitX1X_path_by_name

          public abstract Traversal<Vertex,Path> get_g_V_repeatXout_repeatXoutX_timesX1XX_timesX1X_limitX1X_path_by_name()

    - #### get_g_V_repeatXoutXknowsXX_untilXrepeatXoutXcreatedXX_emitXhasXname_lopXXX_path_byXnameX

          public abstract Traversal<Vertex,Path> get_g_V_repeatXoutXknowsXX_untilXrepeatXoutXcreatedXX_emitXhasXname_lopXXX_path_byXnameX()

    - #### get_g_V_repeatXrepeatXout_createdXX_untilXhasXname_rippleXXXemit_lang

          public abstract Traversal<Vertex,String> get_g_V_repeatXrepeatXout_createdXX_untilXhasXname_rippleXXXemit_lang()

    - #### get_g_V_untilXconstantXtrueXX_repeatXrepeatXout_createdXX_untilXhasXname_rippleXXXemit_lang

          public abstract Traversal<Vertex,String> get_g_V_untilXconstantXtrueXX_repeatXrepeatXout_createdXX_untilXhasXname_rippleXXXemit_lang()

    - #### get_g_VX3X_repeatXbothX_createdXX_untilXloops_is_40XXemit_repeatXin_knowsXX_emit_loopsXisX1Xdedup_values

          public abstract Traversal<Vertex,String> get_g_VX3X_repeatXbothX_createdXX_untilXloops_is_40XXemit_repeatXin_knowsXX_emit_loopsXisX1Xdedup_values(Object v3Id)

    - #### get_g_VX1X_repeatXrepeatXunionXout_uses_out_traversesXX_whereXloops_isX0X_timesX1X_timeX2X_name

          public abstract Traversal<Vertex,String> get_g_VX1X_repeatXrepeatXunionXout_uses_out_traversesXX_whereXloops_isX0X_timesX1X_timeX2X_name(Object v1Id)

    - #### get_g_V_repeatXa_outXknows_repeatXb_outXcreatedX_filterXloops_isX0XX_emit_lang

          public abstract Traversal<Vertex,String> get_g_V_repeatXa_outXknows_repeatXb_outXcreatedX_filterXloops_isX0XX_emit_lang()

    - #### get_g_V_emit_repeatXa_outXknows_filterXloops_isX0XX_lang

          public abstract Traversal<Vertex,String> get_g_V_emit_repeatXa_outXknows_filterXloops_isX0XX_lang()

    - #### get_g_VX6X_repeatXa_bothXcreatedX_simplePathX_emitXrepeatXb_bothXknowsXX_untilXloopsXbX_asXb_whereXloopsXaX_asXbX_hasXname_vadasXX_dedup_name

          public abstract Traversal<Vertex,String> get_g_VX6X_repeatXa_bothXcreatedX_simplePathX_emitXrepeatXb_bothXknowsXX_untilXloopsXbX_asXb_whereXloopsXaX_asXbX_hasXname_vadasXX_dedup_name(Object v6Id)

    - #### g_V_repeatXoutX_timesX2X_emit_path

          public void g_V_repeatXoutX_timesX2X_emit_path()

    - #### g_V_repeatXoutX_timesX2X_repeatXinX_timesX2X_name

          public void g_V_repeatXoutX_timesX2X_repeatXinX_timesX2X_name()

    - #### g_V_repeatXoutX_timesX2X

          public void g_V_repeatXoutX_timesX2X()

    - #### g_V_repeatXoutE_inVX_timesX2X_path_by_name_by_label

          public void g_V_repeatXoutE_inVX_timesX2X_path_by_name_by_label()

    - #### g_V_repeatXoutX_timesX2X_emit

          public void g_V_repeatXoutX_timesX2X_emit()

    - #### g_VX1X_timesX2X_repeatXoutX_name

          public void g_VX1X_timesX2X_repeatXoutX_name()

    - #### g_V_emit_timesX2X_repeatXoutX_path

          public void g_V_emit_timesX2X_repeatXoutX_path()

    - #### g_V_emit_repeatXoutX_timesX2X_path

          public void g_V_emit_repeatXoutX_timesX2X_path()

    - #### g_V_hasXloop_name_loopX_repeatXinX_timesX5X_path_by_name

          public void g_V_hasXloop_name_loopX_repeatXinX_timesX5X_path_by_name()

    - #### g_VX1X_emitXhasXlabel_personXX_repeatXoutX_name

          public void g_VX1X_emitXhasXlabel_personXX_repeatXoutX_name()

    - #### g_V_repeatXgroupCountXmX_byXnameX_outX_timesX2X_capXmX

          public void g_V_repeatXgroupCountXmX_byXnameX_outX_timesX2X_capXmX()

    - #### g_V_repeatXbothX_timesX10X_asXaX_out_asXbX_selectXa_bX

          public void g_V_repeatXbothX_timesX10X_asXaX_out_asXbX_selectXa_bX()

    - #### g_VX1X_repeatXoutX_untilXoutE_count_isX0XX_name

          public void g_VX1X_repeatXoutX_untilXoutE_count_isX0XX_name()

    - #### g_VX1X_repeatXgroupCountXmX_byXloopsX_outX_timesX3X_capXmX

          public void g_VX1X_repeatXgroupCountXmX_byXloopsX_outX_timesX3X_capXmX()

    - #### g_V_repeatXbothX_untilXname_eq_marko_or_loops_gt_1X_groupCount_byXnameX

          public void g_V_repeatXbothX_untilXname_eq_marko_or_loops_gt_1X_groupCount_byXnameX()

    - #### g_V_hasXname_markoX_repeatXoutE_inV_simplePathX_untilXhasXname_rippleXX_path_byXnameX_byXlabelX

          public void g_V_hasXname_markoX_repeatXoutE_inV_simplePathX_untilXhasXname_rippleXX_path_byXnameX_byXlabelX()

    - #### g_V_repeatXout_repeatXoutX_timesX1XX_timesX1X_limitX1X_path_by_name

          public void g_V_repeatXout_repeatXoutX_timesX1XX_timesX1X_limitX1X_path_by_name()

    - #### g_V_repeatXoutXknowsXX_untilXrepeatXoutXcreatedXX_emitXhasXname_lopXXX_path_byXnameX

          public void g_V_repeatXoutXknowsXX_untilXrepeatXoutXcreatedXX_emitXhasXname_lopXXX_path_byXnameX()

    - #### g_V_repeatXrepeatXout_createdXX_untilXhasXname_rippleXXXemit_lang

          public void g_V_repeatXrepeatXout_createdXX_untilXhasXname_rippleXXXemit_lang()

    - #### g_V_untilXconstantXtrueXX_repeatXrepeatXout_createdXX_untilXhasXname_rippleXXXemit_lang

          public void g_V_untilXconstantXtrueXX_repeatXrepeatXout_createdXX_untilXhasXname_rippleXXXemit_lang()

    - #### g_VX3X_repeatXbothX_createdXX_untilXloops_is_40XXemit_repeatXin_knowsXX_emit_loopsXisX1Xdedup_values

          public void g_VX3X_repeatXbothX_createdXX_untilXloops_is_40XXemit_repeatXin_knowsXX_emit_loopsXisX1Xdedup_values()

    - #### g_VX1X_repeatXrepeatXunionXout_uses_out_traversesXX_whereXloops_isX0X_timesX1X_timeX2X_name

          public void g_VX1X_repeatXrepeatXunionXout_uses_out_traversesXX_whereXloops_isX0X_timesX1X_timeX2X_name()

    - #### g_V_repeatXa_outXknows_repeatXb_outXcreatedX_filterXloops_isX0XX_emit_lang

          public void g_V_repeatXa_outXknows_repeatXb_outXcreatedX_filterXloops_isX0XX_emit_lang()

    - #### g_V_emit_repeatXa_outXknows_filterXloops_isX0XX_lang

          public void g_V_emit_repeatXa_outXknows_filterXloops_isX0XX_lang()

    - #### g_VX6X_repeatXa_bothXcreatedX_simplePathX_emitXrepeatXb_bothXknowsXX_untilXloopsXbX_asXb_whereXloopsXaX_asXbX_hasXname_vadasXX_dedup_name

          public void g_VX6X_repeatXa_bothXcreatedX_simplePathX_emitXrepeatXb_bothXknowsXX_untilXloopsXbX_asXb_whereXloopsXaX_asXbX_hasXname_vadasXX_dedup_name()

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.